pipelines:
  voice_activities:
    queries:
      - campaign_connected_call_details_gold
  voice_connector_activities:
    queries:
      - campaign_call_details_gold
  campaign_scheduler:
    queries:
      - campaign_summary_gold
      - dialing_success_rate_summary_gold

target:
  type: "mysql"
  db_url: "mysql+pymysql://<server_username>:<server_password>@<server_ip>:<mysql_port>/<db_name>"
  #db_url: "mssql+pyodbc://<server_username>:<server_password>@<server_ip>:<mssql_port>/<db_name>?driver=ODBC+Driver+17+for+SQL+Server"
  enable_ssl: true  # Enable or disable SSL connections
  ssl_ca: "/transflux/certificates/mysql_certs/ca.pem"
  ssl_cert: "/transflux/certificates/mysql_certs/client-cert.pem"
  ssl_key: "/transflux/certificates/mysql_certs/client-key.pem"

schedule_interval: "*/15 * * * *"
time_offset: "-15"
interval_minutes: 15
start_date: "2025-01-01T00:00:00+00:00" # Should be updated according to data
catchup: true
